]> sipb.mit.edu Git - ikiwiki.git/blobdiff - doc/tips/upgrade_to_3.0.mdwn
make ikiwiki-transition prefix_directives take a setup file
[ikiwiki.git] / doc / tips / upgrade_to_3.0.mdwn
index 6c74d4fc9a76189fdee716095c46e91c67124b64..3a515a61f6e0a20672d501e89459e448749dbbd0 100644 (file)
@@ -1,32 +1,30 @@
-Version 3.0 of ikiwiki makes some significant configuration changes, which
+Version 3.0 of ikiwiki makes some significant changes, which
 you will need to deal with when upgrading from ikiwiki 2.x.
 
 [[!toc ]]
 
 you will need to deal with when upgrading from ikiwiki 2.x.
 
 [[!toc ]]
 
-# moving settings from Preferences page
-
-The admin preferences page used to have settings for allowed attachments,
-locked pages, and banned users. These three settings have moved to the
-setup file:
-
-       allowed_attachments => "",
-       locked_pages => "",
-       banned_users => "",
-
-If you have not yet upgraded to ikiwiki 3.0, you can look at the admin
-preferences page to see if any of these values is shown there, and copy
-them into the setup file.
-
 ## setup file format change
 
 The layout of the setup file changed in a significant way in version 2.60
 of ikiwiki. If you have not changed yours to the new format, now would be a
 ## setup file format change
 
 The layout of the setup file changed in a significant way in version 2.60
 of ikiwiki. If you have not changed yours to the new format, now would be a
-good time to do so. Some new features, like the [[plugins/websetup]] interface,
-need the new format setup file.
+good time to do so. Some new features, like the [[plugins/websetup]]
+interface, need the new format setup file.
   
 You can convert old setup files into the new format by running
 `ikiwiki-transition setupformat your.setup`
 
   
 You can convert old setup files into the new format by running
 `ikiwiki-transition setupformat your.setup`
 
+# moving settings from Preferences page
+
+The admin preferences page used to have settings for allowed attachments,
+locked pages, and banned users. These three settings have moved to the
+setup file, and will no longer appear on the admin preferences page once
+your wiki is upgraded to 3.0.
+
+You can move these preferences into the setup file by running
+`ikiwiki-transition moveprefs your.setup`
+
+(Make sure you have converted the setup file to the new format first.)
+
 ## prefix directives
 
 In 3.0, the syntax ikiwiki uses for [[directives|ikiwiki/directive]] has
 ## prefix directives
 
 In 3.0, the syntax ikiwiki uses for [[directives|ikiwiki/directive]] has
@@ -39,20 +37,33 @@ following to your setup file:
        
        prefix_directives => 0,
 
        
        prefix_directives => 0,
 
-But it's not hard to convert your wiki to the new syntax. You can use
-[[ikiwiki-transition]]. It will convert preprocessor directives in all
-files given on the command line. To convert an entire wiki:
+To convert to the new syntax, run 
+`ikiwiki-transition prefix_directives your.setup`
+
+(And then commit the changes it makes to pages in your srcdir.)
+
+## GlobLists
 
 
-       find wikidir/ -type f -name '*.mdwn' -print0 | xargs -0 ikiwiki-transition prefix_directives
+In 3.0, the old "GlobList" syntax for [[PageSpecs|ikiwiki/PageSpec]] is no
+longer supported. A GlobList contains multiple term, but does not separate
+them with "and" or "or":
 
 
-Be sure to modify the find to list all pages in the wiki if you're using
-other markup than markdown. You will probably want to commit the changes
-when you're done too.
+       sandbox !*/Discussion
+
+To convert this to a modern PageSpec, simply add "and" or "or" as
+appropriate between terms:
+       
+       sandbox and !*/Discussion
+
+GlobLists have been deprecated for more than two years. If your wiki dates
+to the ikiwiki 1.0 era, you should check it for any that might have lurked
+unnoticed in it since back then. Ikiwiki version 2.72 will print warnings
+about any GlobLists it sees.
 
 ## aggregateinternal
 
 If your wiki uses the [[aggregate|plugins/aggregate]] plugin, it will start
 
 ## aggregateinternal
 
 If your wiki uses the [[aggregate|plugins/aggregate]] plugin, it will start
-to aggregate feeds to special "internal" pages. 
+to aggregate feeds to special "internal" pages.
 
 If you don't want this change, you can add the following to your setup
 file:
 
 If you don't want this change, you can add the following to your setup
 file:
@@ -70,3 +81,8 @@ Otherwise, follow this procedure to upgrade a wiki using the aggregate plugin:
    files in the srcdir. The command to run is
    `ikiwiki-transition aggregateinternal your.setup`,
 3. Refresh the wiki. (`ikiwiki -setup your.setup -refresh`)
    files in the srcdir. The command to run is
    `ikiwiki-transition aggregateinternal your.setup`,
 3. Refresh the wiki. (`ikiwiki -setup your.setup -refresh`)
+
+## googlecalendar
+
+This plugin has been deprecated for a long time, and is removed in 3.0. If
+your wiki used it, you should enable the [[plugins/embed]] plugin, instead.